Welcome back

Log in to your Microburbs account

Forgot password?
or continue with

By continuing, you agree to our Terms of Service and Privacy Policy.

Unlock the power of property data

  • Access 5000+ property and suburb metrics
  • Detailed suburb and property reports
  • Risk and gentrification analysis
  • Interactive heat maps across Australia

"Microburbs helped me find the perfect investment suburb with data I couldn't find anywhere else."

Sarah M. Property Investor

Welcome to Microburbs!

Help us personalise your experience

Opening secure checkout

Please wait while we connect to our payment provider. Do not refresh or close this page.

Get API Access

Request access to integrate Microburbs data into your applications

Request Access
V1.0.2
GET Get GNAF_ID (Geocoder)
http://127.0.0.1:2025/api/property/address
Retrieves address information including GnafID for a given address query. Returns the top 10 matching results sorted by relevance.

Parameters

Name Type Required Description
address text Required Search for addresses by street, suburb, or full address
property_type text Optional Type of property (house, unit, all). Filters results by property type.

Response Schema

Field Type Description
results array Array of matching address objects
results[].id string Unique GnafID (Geocoded National Address File identifier)
results[].name string Full formatted address with state/territory in parentheses where needed for disambiguation
results[].display_name string Well-formatted address for display purposes
results[].abbr string Abbreviated address in uppercase format
results[].property_type string Type of property (e.g., 'house', 'unit')
results[].typ string Type of result (always 'addr' for addresses)

Request Examples

cURL
Python
JavaScript
curl -X GET "http://127.0.0.1:2025/api/property/address?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "abbr": "27 ARLINGTON ST BELMONT NORTH", "display_name": "27 Arlington Street, Belmont North", "id": "GANSW704074813", "name": "27 Arlington Street, Belmont North", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST MOUNT BARKER", "display_name": "27 Arlington Street, Mount Barker (SA)", "id": "GASA_719513929", "name": "27 Arlington Street, Mount Barker (SA)", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST COORPAROO", "display_name": "27 Arlington Street, Coorparoo", "id": "GAQLD155206290", "name": "27 Arlington Street, Coorparoo", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST UNDERWOOD", "display_name": "27 Arlington Street, Underwood (Qld)", "id": "GAQLD155925945", "name": "27 Arlington Street, Underwood (Qld)", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST RINGWOOD", "display_name": "27 Arlington Street, Ringwood (Vic.)", "id": "GAVIC421667112", "name": "27 Arlington Street, Ringwood (Vic.)", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST ROCKDALE", "display_name": "27 Arlington Street, Rockdale", "id": "GANSW705812357", "name": "27 Arlington Street, Rockdale", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST DULWICH HILL", "display_name": "27 Arlington Street, Dulwich Hill", "id": "GANSW704613213", "name": "27 Arlington Street, Dulwich Hill", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST CLEVELAND", "display_name": "27 Arlington Street, Cleveland (Qld)", "id": "GAQLD156448156", "name": "27 Arlington Street, Cleveland (Qld)", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST FIVE DOCK", "display_name": "27 Arlington Street, Five Dock", "id": "GANSW704767818", "name": "27 Arlington Street, Five Dock", "property_type": "house", "typ": "addr" }, { "abbr": "27 ARLINGTON ST GOROKAN", "display_name": "27 Arlington Street, Gorokan", "id": "GANSW704853159", "name": "27 Arlington Street, Gorokan", "property_type": "house", "typ": "addr" } ] }
Try it in Sandbox